<?php
@session_start();

// include ('./lib/db_connection.php');
include ('./lib/auth.php');
include ('./lib/states.php');
include ('./lib/dbManager.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 3;
$sub_page = 31;
$result = null;

$dbManager = new DatabaseManage();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Gather form data
    $stateId = $_POST['state_id'];
    $firstName = $_POST['firstname'];
    $lastName = $_POST['lastname'];
    $email = $_POST['email'];
    $password = $_POST['password'];
    $phone = $_POST['phone'];
    $address = $_POST['address'];

    $tableName = 'tabl_ceo';
    $redirectURL = "ceo.php";
    $delay = 3;
    
    $sql = "SELECT state,email FROM $tableName WHERE state = $stateId AND email = '$email' AND status = 'active' AND is_deleted = 0";
    $query = $dbManager->checkForDuplicateData($sql);

    if ($query == true) {
        $result = "<div class='alert alert-warning' role='alert'>Duplicate data: Data already exist</div>";
    } else {
        // Upload profile image
        $profileImagePath = ''; // Initialize variable to store file path
        if (isset($_FILES['profile_image']) && $_FILES['profile_image']['error'] == UPLOAD_ERR_OK) {
            $targetDir = 'assets/img/ceo/profile-img/';
            $profileImagePath = uploadImage($_FILES['profile_image'], $targetDir);
        }
        $hashedPassword = password_hash($password, PASSWORD_DEFAULT);
        // Insert data into the ceo table using the insertData function    
        $fields = ['state', 'firstname', 'lastname', 'email', 'password', 'phone', 'address', 'profile_image', 'date_added'];
        $values = [$stateId, $firstName, $lastName, $email, $hashedPassword, $phone, $address, $profileImagePath, $date];

        // Call the insertData method
        $insertedId = $dbManager->insertData($tableName, $fields, $values);

        if ($insertedId) {
            $result = "<div class='alert alert-success' role='alert'>Data inserted successfully!</div>";
            echo "<script>
            setTimeout(function() {
                window.location.href = '$redirectURL';
            }, $delay * 1000); 
        </script>";
        } else {
            // Error occurred
            echo "<div class='alert alert-danger' role='alert'>Error inserting data</div>";
        }
    }
}
?>
<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include ("./inc/head.php") ?>

  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include ("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include ("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Usr Management /</span> <a href="./states.php"><span class="text-muted fw-light">CEO /</span></a> Add CEO</h4>

              <div class="row">
                <div class="col-md-12">
                  
                  <div class="card mb-4">
                    <h5 class="card-header">Add CEO</h5>
                    <!-- Account -->

                    <hr class="my-0" />


                    <div class="card-body">
                    <form method="POST" id="add_ceo" enctype="multipart/form-data">
                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="country" class="form-label">State</label>
                            <select class="form-control" name="state_id" id="state_id" required>
                                <option value="" disabled selected>Select State</option>
                                <?php
                                $stateManager = new statesManager();

                                $states = $stateManager->getStatesFromDB();
                                foreach ($states as $state) {
                                    echo '<option value="' . $state['state_id'] . '">' . $state['state_name'] . '</option>';
                                }
                                ?>
                            </select>
                        </div>                        
                    </div>
                    <div class="row">
                        <div class="mb-3 col-md-6">
                                <label for="ceo_name" class="form-label">CEO First Name</label>
                                <input class="form-control" type="text" id="firstname" name="firstname" placeholder="Enter CEO first name Eg. Ramesh" required />
                            </div>
                            <div class="mb-3 col-md-6">
        <label for="ceo_lastname" class="form-label">CEO Last Name</label>
        <input class="form-control" type="text" id="lastname" name="lastname" placeholder="Enter CEO last name" required />
    </div>
                        </div>
                   
                    <div class="row">
    
    <div class="mb-3 col-md-12">
        <label for="ceo_email" class="form-label">CEO Email</label>
        <input class="form-control" type="email" id="email" name="email" placeholder="Enter CEO email" required />
    </div>    
</div>
<div class="row">
<div class="mb-3 col-md-6">
<label for="ceo_phone" class="form-label">CEO Password</label>
<div class="input-group input-group-merge">
                    <input
                      type="password"
                      id="password"
                      class="form-control"
                      name="password"
                      placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                      aria-describedby="password"
                    />
                    <span class="input-group-text cursor-pointer"><i class="bx bx-hide"></i></span>
                  </div>
    </div>  
<div class="mb-3 col-md-6">
        <label for="ceo_phone" class="form-label">CEO Phone Number</label>
        <input class="form-control" type="number" id="phone" name="phone" placeholder="Enter CEO phone number" required />
    </div>  
   
</div>
<div class="row">
    <div class="mb-3 col-md-12">
        <label for="ceo_address" class="form-label">CEO Address</label>
        <textarea class="form-control" id="address" name="address" placeholder="Enter CEO address" required></textarea>
    </div>
</div>

<div class="row">
    <div class="mb-3 col-md-12">
        <label for="ceo_image" class="form-label">CEO Profile Image</label>
        <input class="form-control" type="file" id="profile_image" name="profile_image" accept="image/*" required />
    </div>
</div>
                    
                    <div class="mt-2">
                        <button type="submit" class="btn btn-primary me-2" id="submitBtn" name="submitBtn">Submit</button>
                    </div>
                </form>
                <div class="message mt-3"><?php echo $result; ?></div>                
              </div>
            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include ("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>



    <script>
        // Function to toggle password visibility
        function togglePassword() {
            var passwordField = document.getElementById("password");
            var toggleButton = document.querySelector(".input-group-text i");

            if (passwordField.type === "password") {
                passwordField.type = "text";
                toggleButton.classList.remove("bx-hide");
                toggleButton.classList.add("bx-show");
            } else {
                passwordField.type = "password";
                toggleButton.classList.remove("bx-show");
                toggleButton.classList.add("bx-hide");
            }
        }

        // Add event listener to the toggle button
        document.querySelector(".input-group-text").addEventListener("click", function () {
            togglePassword();
        });
        
    </script>
    <!-- Include this script after your HTML -->


  </body>
</html>