<?php
@session_start();
include ('./lib/auth.php');

// include ('./lib/districts.php');
include ('./lib/states.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 4;
$sub_page = 43;
?>


<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include ("./inc/head.php") ?>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include ("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include ("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Locations /</span> <a href="./locations.php"><span class="text-muted fw-light">Locations /</span></a> Add Locations</h4>

              <div class="row">
                <div class="col-md-12">
                  
                  <div class="card mb-4">
                    <h5 class="card-header">Add Locations</h5>
                    <!-- Account -->

                    <hr class="my-0" />


                    <div class="card-body">
                    <form method="POST" id="add_district">
                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="country" class="form-label">State</label>
                            <select class="form-control" name="state_id" id="state_id" required>
                                <option value="" disabled selected>Select State</option>
                                <?php
                                $stateManager = new statesManager();

                                $states = $stateManager->getStatesFromDB();
                                foreach ($states as $state) {
                                    echo '<option value="' . $state['state_id'] . '">' . $state['state_name'] . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="district_name" class="form-label">District Name</label>
                            <select class="form-control" id="district" name="district" required>
                                <option value="" selected disabled>Select district</option>
                            </select>
                        </div>
                    </div>
                  
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label for="location" class="form-label">Location</label>
                            <input class="form-control" type="text" id="location" name="location" placeholder="Enter location name" required />
                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="location" class="form-label">Pincode</label>
                            <input class="form-control" type="number" id="pincode" name="pincode" placeholder="Enter Pincode" required />
                        </div>
                    </div>            
                        
                    
                    <div class="mt-2">
                        <button type="button" class="btn btn-primary me-2" id="submitBtn">Submit</button>
                    </div>
                </form>
                <div class="district mt-3"></div>                
              </div>
            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include ("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>



    <script>
        $(document).ready(function () {
            $(document).on('change', '#state_id', function () {
                $('#district').html('Please wait...');

                let state_id = $('#state_id').val();

                $.ajax({
                    url: 'ajax/district_res.php',
                    method: 'POST',
                    data: {
                        state_id: state_id
                    },
                    dataType: 'json', // Update dataType to 'json' since the response is JSON
                    success: function (response) {
                        try {
                            $('#district').empty();
                            $('#district').append('<option value="" selected disabled>Select District</option>');
                            // Append new options
                            $.each(response.districts, function (index, district) {
                                $('#district').append('<option value="' + district.district_id + '">' + district.district_name + '</option>');
                            });

                            // If selected district exists, set it as selected
                            if (response.selected_district_id) {
                                $('#district').val(response.selected_district_id);
                            }
                        } catch (error) {
                            console.error('Error handling response:', error);
                        }
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        console.error('AJAX request failed:', textStatus, errorThrown);
                    }
                });
            });


            /* CODE FOR ADD BUTTON */
            $("#submitBtn").on('click', function () {

                $("#submitBtn").prop('disabled', true);
                $(".district").html('<i class="spinner-border text-primary  align-self-center"></i> please wait...');

                var formData = new FormData($('#add_district')[0]);
                formData.append('operation', '001');

                $.ajax({
                    url: 'ajax/location.php',
                    type: 'post',
                    data: formData,
                    processData: false, // important
                    contentType: false, // important
                    success: function (res) {
                        try {
                            let response = JSON.parse(res);
                            if (response.status == 'success') {
                                $("#submitBtn").prop('disabled', false);
                                $(".district").html('<div class="alert alert-success" role="alert">' + response.message + '</div>');
                                $("#add_district")[0].reset();
                                setTimeout(function () {
                                    $(".district").html('');
                                    // Redirect to a new location
                                    window.location.href = "./locations.php";
                                }, 3000);
                            } else if (response.status == 'duplicate_data') {
                                $("#submitBtn").prop('disabled', false);
                                $(".district").html('<div class="alert alert-danger" role="alert">' + response.message + '</div>');
                            } else {
                                $("#submitBtn").prop('disabled', false);
                                $(".district").html('<div class="alert alert-danger" role="alert">' + response.message + '</div>');
                                $("#add_district")[0].reset();
                                setTimeout(function () {
                                    $(".district").html('');
                                }, 3000);
                            }
                        } catch (error) {
                            console.error('An error occurred:', error);
                            $("#submitBtn").prop('disabled', false);
                            $(".district").html('<div class="alert alert-danger" role="alert">An error occurred while processing your request. Please try again later.</div>');
                        }
                    },
                    error: function (xhr, status, error) {
                        console.error('AJAX request failed:', status, error);
                        $("#submitBtn").prop('disabled', false);
                        $(".district").html('<div class="alert alert-danger" role="alert">An error occurred while processing your request. Please try again later.</div>');
                    }
                });
            });
        });
    </script>
  </body>
</html>