<?php
session_start();
include ('../lib/db_connection.php');

$operation = $_POST['operation'];

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

if ($operation == "001") {
    $stateId = $_POST['state_id'];
    $districtId = $_POST['district'];
    $locationName = $_POST['location'];
    $pincode = $_POST['pincode'];

    $res = [];

    // Insert location data
    $sql = "INSERT INTO tabl_locations (state_id, district_id, location_name,pincode, date_added) 
            VALUES (:state_id, :district_id, :location_name,:pincode, :date_added)";

    try {
        $stmt = dbQuery($sql, [
            ':state_id' => $stateId,
            ':district_id' => $districtId,
            ':location_name' => $locationName,
            ':pincode' => $pincode,
            ':date_added' => $date
        ]);

        // Execute the query
        if ($stmt) {
            $res['status'] = "success";
            $res['message'] = "Location Inserted Successfully!";
        } else {
            $res['status'] = "error";
            $res['message'] = "Error: Error occurred while inserting the data!";
        }
    } catch (PDOException $e) {
        // Check if the error is due to duplicate entry
        if ($e->getCode() == '23000') {
            $res['status'] = 'duplicate_data';
            $res['message'] = 'Duplicate data: Data Already Exists';
        } else {
            $res['status'] = 'error';
            $res['message'] = 'Error: ' . $e->getMessage();
        }
    }

    // Send JSON response
    echo json_encode($res);
} else if ($operation == "002") {
    $id = $_POST['id'];
    $status = $_POST['status'];
    $res = [];
    if ($status == 'active') {
        $query = dbQuery("UPDATE `tabl_locations` SET `status` = 'inactive' WHERE `location_id` = $id");

        if ($query) {
            $res['status'] = 'success';
        } else {
            $res['status'] = 'error';
            $res['status'] = "Error: Error occured while update the status";
        }
    } else {
        $query = dbQuery("UPDATE `tabl_locations` SET `status` = 'active' WHERE `location_id` = $id");

        if ($query) {
            $res['status'] = 'success';
            $res['message'] = '';
        } else {
            $res['status'] = 'error';
            $res['status'] = "Error: Error occured while update the status";
        }
    }
    echo json_encode($res);
} else if ($operation == "003") {
    $id = $_POST['id'];

    $res = [];

    $query = dbQuery("UPDATE `tabl_locations` SET `is_deleted` = 1 WHERE `location_id` = $id");

    if ($query) {
        $res['status'] = 'success';
    } else {
        $res['status'] = 'error';
        $res['status'] = "Error: Error occured while update the status";
    }

    echo json_encode($res);
} else if ($operation == "004") {
    $stateId = $_POST['state_id'];
    $districtId = $_POST['district'];
    $locationName = $_POST['location'];
    $pincode = $_POST['pincode'];
    $locationId = $_POST['id'];

    $res = [];


    $sql = "UPDATE tabl_locations SET state_id = :state_id,district_id = :district_id,location_name = :location_name,pincode = :pincode
    WHERE location_id = :location_id";

    try {
        $stmt = dbQuery($sql, [
            ':state_id' => $stateId,
            ':district_id' => $districtId,
            ':location_name' => $locationName,
            ':pincode' => $pincode,
            ':location_id' => $locationId
        ]);

        if ($stmt) {
            $res['status'] = "success";
            $res['message'] = "Location Updated Successfully!";
        } else {
            $res['status'] = "error";
            $res['message'] = "Error: Error occurred while updating the location!";
        }
    } catch (PDOException $e) {
        // Handle any exceptions that occur during the process
        echo "Error updating location: " . $e->getMessage();
    }


    echo json_encode($res);

}


?>