<?php
session_start();
include('../lib/db_connection.php');
include('../lib/resize-class.php');

$admin_id = $_SESSION['admin_id'];

//echo $num_rows;
$now = date("Y-m-d H:i:s");

// Helper function to upload an image and create thumbnails
function uploadImage($file)
{
    $target_dir = "../../assets/images/products/";
    $originalFileName = $file["name"];
    $extension = pathinfo($originalFileName, PATHINFO_EXTENSION);
    $new_name = "product_" . date("Ymd") . "_" . rand(100000, 999999) . "." . $extension;
    $uploadPath = $target_dir . $new_name;

    if (move_uploaded_file($file["tmp_name"], $uploadPath)) {

        // Resize and save thumbnail (50x50)
        $resizeObj = new resize($uploadPath);
        $resizeObj->resizeImage(50, 50, 'exact');
        $resizeObj->saveImage($target_dir . "thumb-50/" . $new_name, 100);

        // Resize and save thumbnail (100x100)
        $resizeObj = new resize($uploadPath);
        $resizeObj->resizeImage(100, 100, 'exact');
        $resizeObj->saveImage($target_dir . "thumb-100/" . $new_name, 100);

        // Resize and save thumbnail (300x300)
        $resizeObj = new resize($uploadPath);
        $resizeObj->resizeImage(300, 300, 'exact');
        $resizeObj->saveImage($target_dir . "thumb-300/" . $new_name, 100);

        return $new_name;
    }

    return '';
}



// Add product
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'add_product') {
    $product = new Products();

    // Upload main image
    $image = '';
    if (isset($_FILES["image"]) && $_FILES["image"]["error"] == UPLOAD_ERR_OK) {
        $image = uploadImage($_FILES["image"]);
    }

    // Upload additional images
    $additionalImages = [];
    $additionalImageCount = isset($_REQUEST['additional_image_count']) ? intval($_REQUEST['additional_image_count']) : 0;
    for ($i = 1; $i <= $additionalImageCount; $i++) {
        $additionalImageKey = "additional_image_$i";
        if (isset($_FILES[$additionalImageKey]) && $_FILES[$additionalImageKey]["error"] == UPLOAD_ERR_OK) {
            $additionalImages[] = uploadImage($_FILES[$additionalImageKey]);
        }
    }

    // Add product
    $product->name = $_REQUEST['name'];
    $product->shortDescription = $_REQUEST['short_description'];
    $product->description = $_REQUEST['description'];
    $product->mrp = $_REQUEST['mrp'];
    $product->price = $_REQUEST['price'];
    $product->height = $_REQUEST['height'];
    $product->length = $_REQUEST['length'];
    $product->breadth = $_REQUEST['breadth'];
    $product->weight = $_REQUEST['weight'];
    $product->shippingPrice = $_REQUEST['shipping_price'];
    $product->mainCategory = $_REQUEST['main_cat_id'];
    $product->category = $_REQUEST['category_id'];
    $product->subCategory = $_REQUEST['sub_cat_id'];
    $product->image = $image;
    $product->gtsRate = $_REQUEST['gtsRate'];        // New attribute: GTS rate
    $product->hsnCode = $_REQUEST['hsnCode'];        // New attribute: HSN code
    $product->productCost = $_REQUEST['productCost']; // New attribute: Product cost
    $product->shippingCost = $_REQUEST['shippingCost'];// New attribute: Shipping cost
    $product->status = 1;
    $product->isTrending = 0;
    $product->isSpecial = 0;
    $product->isFeatured = 0;
    $product->date_added = $now;
    $product->date_updated = $now;

    // $now = date("Y-m-d H:i:s");
    // $this->date_added = $now;
    // $this->date_updated = $now;

    // var_dump($product);

    $productId = $product->addProductToDB();

    if ($productId) {
        // Add additional images
        foreach ($additionalImages as $additionalImage) {
            $productImage = new ProductImages();
            $productImage->product_id = $productId;
            $productImage->image_path = $additionalImage;
            $productImage->addProductImageToDB();
        }

        // Add features and attributes
        $featureCount = isset($_REQUEST['feature_count']) ? intval($_REQUEST['feature_count']) : 0;
        for ($i = 1; $i <= $featureCount; $i++) {
            $featureKey = "feature_$i";
            $valueKey = "value_$i";

            $productFeature = new ProductFeatures();
            $productFeature->product_id = $productId;
            $productFeature->attribute = $_REQUEST[$featureKey];
            $productFeature->value = $_REQUEST[$valueKey];
            $productFeature->addProductFeatureToDB();
        }

        echo 1;
    } else {
        echo 0;
    }
}


if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit_cat') {

    $sub_cat_id = $_REQUEST['sub_cat_id'];

    $sub_cat = new SubCategory();
    $result = $sub_cat->getSubCategoryByIdFromDB($sub_cat_id);

    if ($result) {
        $sub_cat->name = $_REQUEST['name'];
        $sub_cat->main_cat_id = $_REQUEST['main_cat_id'];
        $sub_cat->cat_id = $_REQUEST['category_id'];
        $image = '';
        if (isset($_FILES["image"]) && $_FILES["image"]["error"] == UPLOAD_ERR_OK) {
            $target_dir = "../../assets/images/categories/";  // Specify your upload directory
            $originalFileName = $_FILES["image"]["name"];
            $extension = pathinfo($originalFileName, PATHINFO_EXTENSION);

            // Generate a unique filename: sub_cat_ymd_randnum(6).extension
            $new_name = "sub_cat_" . date("Ymd") . "_" . rand(100000, 999999) . "." . $extension;

            $uploadPath = $target_dir . $new_name;

            // Move the uploaded file to the desired location
            if (move_uploaded_file($_FILES["image"]["tmp_name"], $uploadPath)) {
                // File upload successful

                $target_path = $target_dir . $new_name;
                $resizeObj = new resize($target_path);
                $resizeObj->resizeImage(108, 108, 'exact');
                $resizeObj->saveImage($target_dir . "thumb-100/" . $new_name, 100);

                $resizeObj = new resize($target_path);
                $resizeObj->resizeImage(50, 50, 'exact');
                $resizeObj->saveImage($target_dir . "thumb-50/" . $new_name, 100);

                $image = $new_name;
                $sub_cat->image = $image;
            }
        }

        // Example: Add a Main Category
        $status = $sub_cat->editSubCategoryInDB();

        if ($status) {
            echo 1;
        } else {
            echo 0;
        }
    } else {
        echo 0;
    }

}




// $user_id = $_REQUEST['user_id'];
// $user->getUserByIdFromDB($user_id);

// $user->first_name = $_REQUEST['fname'];
// $user->last_name = $_REQUEST['lname'];
// $user->email = $_REQUEST['email'];
// $user->phone = $_REQUEST['phone'];


// $result = dbQuery("UPDATE tabl_admin SET `name`= :admin_name, email = :email WHERE id= :admin_id", [
//     ':admin_name' => $admin_name,
//     ':email' => $email,
//     ':admin_id' => $admin_id
// ]);
