<?php
@session_start();
include('./lib/auth.php');

include('./lib/Banner.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 1;
$sub_page = 12;


?>
<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include("./inc/head.php") ?>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Setting /</span> Banners</h4>

              
              
              <div class="row">
                <div class="col-md-12">
                  
                                <!-- Basic Bootstrap Table -->
              <div class="card">
                <h5 class="card-header">Banners</h5>
                <a class="btn btn-primary me-2 mb-4 text-white mx-3" style="width: 120px" href="./add_banner.php">Add New</a>
                <div class="table-responsive text-nowrap">
                  <table class="table">
                    <thead>
                      <tr>
                        <th>ID</th>
                        <th>Image</th>
                        <th>Title</th>
                        <th>Order</th>
                        <th>Type</th>
                        <th>Date</th>
                        <!-- <th>Gender</th> -->
                        

                        <th>Actions</th>
                      </tr>
                    </thead>
                    <tbody class="table-border-bottom-0">

                    <?php

                    $banner = new Banner();
                    $banners = $banner->getAllBannersFromDB();

                    foreach ($banners as $banner) {

                      ?>
                        <tr>
                          <td ><?php echo $banner->id; ?></td>
                          <td>
                            
                            <img src="../assets/images/banner/thumb-50/<?php echo $banner->image; ?>" alt="">
                            
                          </td>
                          <td><?php echo $banner->title; ?></td>
                          <td><?php echo $banner->order; ?></td>
                          <td>
                            <?php
                              if($banner->type == 1){
                                echo 'Slider';
                              }else if($banner->type == 2){
                                echo '2 Banners';
                              }else if($banner->type == 3){
                                echo '3 Banners';

                              }
                              // echo $banner->order;
                            ?>
                        </td>
                          <td><?php echo $banner->date_added; ?></td>

                          <td>
                            <div class="dropdown">

                              <button type="button" class="btn p-0 dropdown-toggle hide-arrow" onclick="window.location.href = 'edit_banner.php?id=<?php echo $banner->id; ?>'" >
                                <i class="bx bx-edit-alt"></i>
                              </button>

                              <button type="button" class="btn p-0 dropdown-toggle hide-arrow" onclick="delete_row('banner', <?php echo $banner->id; ?>)" >
                                <i class="bx bx-trash"></i>
                              </button>

                            </div>
                          </td>
                        </tr>
                      <?php
                    }
                    ?>

                    </tbody>
                  </table>
                </div>
              </div>
              <!--/ Basic Bootstrap Table -->


                </div>
              </div>



            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>



    <script>

      function isNumberKey(evt) {
        var charCode = (evt.which) ? evt.which : evt.keyCode
        if (charCode > 31 && (charCode < 48 || charCode > 57))
          return false;
        return true;
      }

      function change_status(tabl, val, row_id) {
        var retVal = confirm("Are you sure want to activate this course.");
        if (retVal == true) {
          $.ajax({
            url: 'ajax/activate.php',
            type: 'post',
            data: {
              'tabl': tabl,
              'val': val,
              'row_id': row_id
            },
            success: function (data) {
              //alert(data);
              if (data == 1) {
                location.reload();
              }
            },
          });
        } else {
          return false;
        }
      }

      function delete_row(type, id) {
        var retVal = confirm("Are you sure want to delete.");
        if (retVal == true) {
          $.ajax({
            url: 'ajax/delete.php',
            type: 'post',
            data: {
              'type': type,
              'id': id
            },
            success: function (data) {
              //alert(data);
              if (data == 1) {
                location.reload();
              }
            },
          });
        } else {
          return false;
        }
      }



    </script>
  </body>
</html>