<?php
@session_start();
include ('./lib/auth.php');
include_once ('./lib/district.php');
include_once ('./lib/dbManager.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 3;
$sub_page = 31;

$dbManager = new DatabaseManage();
?>
<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include ("./inc/head.php") ?>
  <style>
    .badge-success{
        color: #fff;
        background-color: #28a745;
        font-weight: bold;
        cursor: pointer;
    }
    .badge-warning{
        background-color: #ffc107;
        color: #000;
        font-weight: bold;
        cursor: pointer;
    }
    .edit-btn{
        font-weight: bold;
        cursor: pointer;
        background: #ffc107;
        color: #000;
        padding: 5px;
        border-radius: 4px;
    }
    .delete-btn{
        font-weight: bold;
        cursor: pointer;
        background: #dc3545;
        color: #ffff;
        padding: 5px;
        border-radius: 4px;

    }
  </style>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include ("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include ("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">User Management /</span> CEO</h4>

              
              
              <div class="row">
                <div class="col-md-12">
                  
                                <!-- Basic Bootstrap Table -->
              <div class="card">
                <h5 class="card-header">CEO'S</h5>
                <a class="btn btn-primary me-2 mb-4 text-white mx-3" style="width: 120px" href="./add_ceo.php">Add New</a>
                <div class="table-responsive text-nowrap">
                  <table class="table" id="ceoTable">
                    <thead>
                      <tr>
                        <th>ID</th>
                        <th>State Name</th>
                        <th>Profile Image</th>                       
                        <th>First Name</th>                       
                        <th>Last Name</th>                       
                        <th>Email</th>
                        <th>Phone</th>                        
                        <th>Status</th>
                        <th>Edit</th>
                        <th>Delete</th>                       
                      </tr>
                    </thead>
                    <tbody class="table-border-bottom-0">
                    <?php
                    $fetchData = $dbManager->fetchDataFromDBObject("SELECT ceo.id, ceo.profile_image, ceo.firstname, ceo.lastname, ceo.email, ceo.phone,ceo.status, states.state_name 
                        FROM tabl_ceo AS ceo
                        INNER JOIN tabl_states AS states ON ceo.state = states.state_id
                        WHERE ceo.is_deleted = 0");

$s = 1;
                    foreach ($fetchData as $row):
                        echo "<tr>";
                        echo "<td>" . $s . "</td>";
                        echo "<td>" . $row->state_name . "</td>";
                        if (!empty($row->profile_image) && file_exists('assets/img/ceo/profile-img/thumb-100/' . $row->profile_image)) {
                            echo "<td><img src='assets/img/ceo/profile-img/" . $row->profile_image . "' alt='Profile Image' style='max-width: 100px;'></td>";
                        } else {
                            echo "<td>No Image</td>";
                        }
                        echo "<td>" . $row->firstname . "</td>";
                        echo "<td>" . $row->lastname . "</td>";
                        echo "<td>" . $row->email . "</td>";
                        echo "<td>" . $row->phone . "</td>";  
                        echo "<td>";
                        if ($row->status == 'active') { 
                            echo '<span class="badge badge-success" onclick="change_status(' . $row->id . ',\'' . $row->status . '\')">Active</span>';
                        } else {
                            echo '<span class="badge badge-warning" onclick="change_status(' . $row->id . ',\'' . $row->status . '\')">Disabled</span>';
                        }
                        echo "</td>";
                        echo "<td>
                            <a href='edit_ceo.php?id=" . $row->id . "' class='edit-btn'>
                                <i class='bx bxs-edit'></i>
                            </a>
                            </td>";
                        echo "<td>";
                        echo '<span class="delete-btn" onclick="delete_ceo(' . $row->id . ')">
                            <i class="bx bxs-trash"></i>
                            </span>';
                        echo "</td>";
                        echo "</tr>";
                        

                        $s++;
                    endforeach;
                    ?>

                    </tbody>
                  </table>
                </div>
              </div>
              <!--/ Basic Bootstrap Table -->


                </div>
              </div>



            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include ("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>
    <script src="//cdn.datatables.net/2.0.3/js/dataTables.min.js"></script>

    <script>
        /* CREATE DATA TABLE */

        let table = new DataTable('#ceoTable');

        /* Function for update status */
        function change_status(id, status) {
            var retVal = confirm("Are you sure want to change status?");
            if (retVal == true) {
                $.ajax({
                    url: 'ajax/ceo.php',
                    type: 'post',
                    data: {
                        'id': id,
                        'status': status,
                        'operation': '001'
                    },
                    success: function (data) {
                        let res = JSON.parse(data);
                        if (res.status == 'success') {
                            location.reload();
                        } else {
                            alert(res.message);
                        }
                    },
                });
            } else {
                return false;
            }
        }

        /* FUNCTION FOR DELETE  */
        function delete_ceo(id) {
            var retVal = confirm("Are you sure want to deleted this CEO?");
            if (retVal == true) {
                $.ajax({
                    url: 'ajax/ceo.php',
                    type: 'post',
                    data: {
                        'id': id,
                        'operation': '002'
                    },
                    success: function (data) {
                        let res = JSON.parse(data);
                        if (res.status == 'success') {
                            location.reload();
                        } else {
                            alert(res.message);
                        }
                    },
                });
            } else {
                return false;
            }
        }
    </script>
  </body>
</html>