<?php
@session_start();
include ('./lib/auth.php');

// include ('./lib/districts.php');
include ('./lib/states.php');
include_once ('./lib/dbManager.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 3;
$sub_page = 31;

$id = $_GET['id'];
$dbManager = new DatabaseManage();

$result = null;

if (isset($_POST['submitBtn'])) {
    $stateId = $_POST['state_id'];
    $firstName = $_POST['firstname'];
    $lastName = $_POST['lastname'];
    $phone = $_POST['phone'];
    $address = $_POST['address'];

    $tableName = 'tabl_ceo';

    $redirectURL = "ceo.php";
    $delay = 3;

    if (isset($_FILES['image']) && $_FILES['image']['error'] == UPLOAD_ERR_OK) {       
        $targetDir = 'assets/img/ceo/profile-img/';
        $profileImagePath = uploadImage($_FILES['image'], $targetDir);

        $fields = ['state', 'firstname', 'lastname', 'phone', 'address', 'profile_image'];
        $values = [$stateId, $firstName, $lastName, $phone, $address, $profileImagePath];
        $condition = "id = $id";
        $updated = $dbManager->updateData($tableName, $fields, $values, $condition);

        if ($updated) {
            $result = "<div class='alert alert-success' role='alert'>Data updated successfully!</div>
           ";
            echo "<script>
                setTimeout(function() {
                    window.location.href = '$redirectURL';
                }, $delay * 1000); 
            </script>";
        } else {
            // Error occurred
            echo "<div class='alert alert-danger' role='alert'>Error updating data</div>";
        }
    } else {
        $fields = ['state', 'firstname', 'lastname', 'phone', 'address'];
        $values = [$stateId, $firstName, $lastName, $phone, $address];
        $condition = "id = $id";

        $updated = $dbManager->updateData($tableName, $fields, $values, $condition);

        if ($updated) {
            $result = "<div class='alert alert-success' role='alert'>Data updated successfully!</div>";
            echo "<script>
                setTimeout(function() {
                    window.location.href = '$redirectURL';
                }, $delay * 1000); // Convert seconds to milliseconds
            </script>";
        } else {
            // Error occurred
            echo "<div class='alert alert-danger' role='alert'>Error updating data</div>";
        }
    }
}

?>
<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include ("./inc/head.php") ?>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include ("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include ("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">User Management /</span> <a href="./district.php"><span class="text-muted fw-light">CEO /</span></a> Edit CEO</h4>

              <div class="row">
                <div class="col-md-12">
                  
                  <div class="card mb-4">
                    <h5 class="card-header">Edit CEO</h5>
                    <!-- Account -->

                    <hr class="my-0" />


                    <div class="card-body">
                    <form method="POST" id="updateForm" enctype="multipart/form-data">
                    <?php
                    $query = "SELECT id, profile_image,state,firstname,lastname,email,phone,address FROM tabl_ceo WHERE status = 'active' AND is_deleted = 0 AND id = '$id'";

                    $fetchData = $dbManager->fetchDataFromDBObject($query);

                    $selectedStateId = null;
                    $firstName = null;

                    $profileImage = null;
                    $state = null;
                    $lastName = null;
                    $phone = null;
                    $address = null;

                    if (!empty($fetchData) && is_array($fetchData)) {
                        $profileImage = $fetchData[0]->profile_image;
                        $selectedStateId = $fetchData[0]->state;
                        $firstName = $fetchData[0]->firstname;
                        $lastName = $fetchData[0]->lastname;
                        $phone = $fetchData[0]->phone;
                        $address = $fetchData[0]->address;
                    }
                    ?>

                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label for="country" class="form-label">State</label>
                            <select class="form-control" name="state_id" id="state_id" id>
                                <option value="" disabled>Select State</option>
                                <?php
                                $stateManager = new statesManager();
                                $states = $stateManager->getStatesFromDB();

                                foreach ($states as $state) {
                                    $selected = ($state['state_id'] == $selectedStateId) ? 'selected' : ''; // Check if this state matches the selected state from tabl_districts
                                    echo '<option value="' . $state['state_id'] . '" ' . $selected . '>' . $state['state_name'] . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="ceo_name" class="form-label">CEO First Name</label>
                            <input class="form-control" type="text" id="firstname" name="firstname"
                                placeholder="Enter CEO first name Eg. Ramesh" value="<?php echo htmlspecialchars($firstName); ?>" id />
                        </div>
                    </div>
                    <div class="row">                       
                        <div class="mb-3 col-md-6">
                            <label for="ceo_lastname" class="form-label">CEO Last Name</label>
                            <input class="form-control" type="text" id="lastname" name="lastname" placeholder="Enter CEO last name"
                                value="<?php echo htmlspecialchars($lastName); ?>" id />
                        </div>
                    <div class="mb-3 col-md-6">
                        <label for="ceo_phone" class="form-label">CEO Phone Number</label>
                        <input class="form-control" type="number" id="phone" name="phone" placeholder="Enter CEO phone number"
                            value="<?php echo htmlspecialchars($phone); ?>" id />
                    </div>
                </div>                    
                <div class="row">
                    <div class="mb-3 col-md-12">
                        <label for="ceo_address" class="form-label">CEO Address</label>
                        <textarea class="form-control" id="address" name="address" placeholder="Enter CEO address" id><?php echo htmlspecialchars($address); ?></textarea>
                    </div>
                </div>
                    <?php
                    if (!empty($profileImage) && file_exists('assets/img/ceo/profile-img/thumb-100/' . $profileImage)) {
                        echo '<div class="row">
                            <div class="mb-3 col-md-12">
                                <img src="assets/img/ceo/profile-img/thumb-50/' . $profileImage . '" alt="profile-img">
                            </div>
                        </div>';
                    }
                    ?>
                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="ceo_image" class="form-label">CEO Profile Image</label>
                            <input class="form-control" type="file" id="image" name="image" accept="image/*" id />
                        </div>
                    </div>


                    <div class="mt-2">
                        <button type="submit" class="btn btn-primary me-2" id="submitBtn" name="submitBtn">Submit</button>
                    </div>
                </form>
                <div class="message mt-3"><?php echo $result; ?></div>                
              </div>
            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include ("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>

  </body>
</html>