<?php
@session_start();
include ('./lib/auth.php');

include ('./lib/states.php');
include ('./lib/countries.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 4;
$sub_page = 41;

$state_id = $_GET['state_id'];
?>


<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include ("./inc/head.php") ?>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include ("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include ("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Locations /</span> <a href="./states.php"><span class="text-muted fw-light">States /</span></a> Edit State</h4>

              <div class="row">
                <div class="col-md-12">
                  
                  <div class="card mb-4">
                    <h5 class="card-header">Edit State</h5>
                    <!-- Account -->

                    <hr class="my-0" />


                    <div class="card-body">
                    <form method="POST" id="Edit_state">
    <?php
    $stateObj = new statesManager();
    $stateData = $stateObj->getStateDataById($state_id);

    // Check if state data exists
    if ($stateData) {
        ?>
                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="country" class="form-label">Country</label>
                            <select class="form-control" name="country_id" id="country_id" required>
                                <option value=""  disabled selected>Select Country</option>
                                <?php
                                $countryManager = new countryManager();
                                $countries = $countryManager->getCountriesFromDB();
                                foreach ($countries as $country) {
                                    if ($stateData['country_id'] == $country['country_id']) {
                                        echo '<option value="' . $country['country_id'] . '" selected>' . $country['country_name'] . '</option>';
                                    } else {
                                        echo '<option value="' . $country['country_id'] . '">' . $country['country_name'] . '</option>';
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="state_name" class="form-label">State Name</label>
                            <input class="form-control" type="text" id="state_name" value="<?php echo $stateData['state_name']; ?>" name="state_name" placeholder="Enter state name" required />
                        </div>
                    </div>

                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label for="state_code" class="form-label">State Code</label>
                            <input class="form-control" type="text" id="state_code" value="<?php echo $stateData['state_code']; ?>" name="state_code" placeholder="Enter state code Eg. JH(Jharkhand)" required />
                        </div>
                    </div>    

                    <div class="mt-2">
                        <button type="button" class="btn btn-primary me-2" id="submitBtn">Update</button>
                    </div>
                    <?php
    } else {
        echo "State data not found!";
    }
    ?>
            </form>

                <div class="state mt-3"></div>                
              </div>
            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include ("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>



    <script>
        $(document).ready(function () {
            $("#submitBtn").on('click', function () {

                $("#submitBtn").prop('disabled', true);
                $(".state").html('<i class="spinner-border text-primary  align-self-center"></i> please wait...');

                var formData = new FormData($('#Edit_state')[0]);
                formData.append('operation', '004');
                formData.append('state_id', '<?php echo $state_id; ?>');

                $.ajax({
                    url: 'ajax/states.php',
                    type: 'post',
                    data: formData,
                    processData: false, // important
                    contentType: false, // important
                    success: function (res) {
                        try {
                            let response = JSON.parse(res);

                            if (response.status == 'success') {
                                $("#submitBtn").prop('disabled', false);
                                $(".state").html('<div class="alert alert-success" role="alert">' + response.message + '</div>');
                                $("#Edit_state")[0].reset();
                                setTimeout(function () {
                                    $(".state").html('');
                                    // Redirect to a new location
                                    window.location.href = "./states.php";
                                }, 2000);
                            } else if (response.status == 'duplicate_data') {
                                $("#submitBtn").prop('disabled', false);
                                $(".state").html('<div class="alert alert-danger" role="alert">' + response.message + '</div>');
                            } else {
                                $("#submitBtn").prop('disabled', false);
                                $(".state").html('<div class="alert alert-danger" role="alert">' + response.message + '</div>');
                                $("#Edit_state")[0].reset();
                                setTimeout(function () {
                                    $(".state").html('');
                                }, 3000);
                            }
                        } catch (error) {
                            console.error('An error occurred:', error);
                            $("#submitBtn").prop('disabled', false);
                            $(".state").html('<div class="alert alert-danger" role="alert">An error occurred while processing your request. Please try again later.</div>');
                        }
                    },
                    error: function (xhr, status, error) {
                        console.error('AJAX request failed:', status, error);
                        $("#submitBtn").prop('disabled', false);
                        $(".state").html('<div class="alert alert-danger" role="alert">An error occurred while processing your request. Please try again later.</div>');
                    }
                });
            });
        });
    </script>
  </body>
</html>