<?php
class DatabaseManage extends dbConnection
{
    public function checkForDuplicateData($sql)
    {
        try {
            $result = $this->dbQuery($sql);


            if (dbNumRows($result) > 0) {
                return true;
            } else {
                return false;
            }
        } catch (PDOException $e) {
            return "Error checking for duplicate data: " . $e->getMessage();
        }
    }

    /* FETCH DATA THROUGH QUERY */
    public function fetchDataFromDBObject($sql)
    {
        try {
            $result = $this->dbQuery($sql);

            $data = [];

            while ($rowData = $this->dbFetchObject($result)) {
                $data[] = $rowData;
            }
            return $data;
        } catch (PDOException $e) {
            return "Error fetching data: " . $e->getMessage();
        }
    }
    public function insertData($tableName, $fields, $values)
    {
        // $pdo = $this->connection();

        try {
            // Construct the SQL query with named placeholders
            $sql = "INSERT INTO $tableName (" . implode(', ', $fields) . ") VALUES (:" . implode(', :', $fields) . ")";

            // Prepare the SQL statement
            $stmt = $this->connection($sql);
            // Bind values to named placeholders
            foreach ($fields as $index => $field) {
                $stmt->bindParam(':' . $field, $values[$index]);
            }

            // Execute the query
            $stmt->execute();

            // Return the ID of the inserted row
            return $this->dbInsertId();
        } catch (PDOException $e) {
            // Handle any database errors
            return "Error inserting data: " . $e->getMessage();
        }
    }

    /* UPDATE DATA */
    public function updateData($tableName, $fields, $values, $condition)
    {
        try {
            // Construct the SQL query to update data
            $setClause = '';
            foreach ($fields as $index => $field) {
                $setClause .= ($index > 0 ? ', ' : '') . $field . ' = :' . $field;
            }
            $sql = "UPDATE $tableName SET $setClause WHERE $condition";

            // Prepare the SQL statement
            $stmt = $this->connection($sql);

            // Bind values to named placeholders
            foreach ($fields as $index => $field) {
                $stmt->bindParam(':' . $field, $values[$index]);
            }

            // Execute the query
            $stmt->execute();

            // Return true if the update was successful
            return true;
        } catch (PDOException $e) {
            // Handle any database errors
            return "Error updating data: " . $e->getMessage();
        }
    }


    // public function insertData($tableName, $fields, $values)
    // {
    //     try {
    //         print_r($values);
    //         // Construct the SQL query with placeholders
    //         $sql = "INSERT INTO $tableName (" . implode(', ', $fields) . ") VALUES (" . rtrim(str_repeat('?, ', count($values)), ', ') . ")";

    //         // Prepare the SQL statement
    //         $stmt = $this->dbQuery($sql); // Pass only SQL query without values

    //         // Execute the statement with the values array
    //         $stmt->execute($values); // Pass $values array to execute

    //         // Return the ID of the inserted row
    //         return $this->pdo->lastInsertId(); // Assuming $pdo is your PDO instance
    //     } catch (PDOException $e) {
    //         // Handle any database errors
    //         return "Error inserting data: " . $e->getMessage();
    //     }
    // }



}