<?php
class DistrictManager extends dbConnection
{
    public function getDistrictsFromDB()
    {
        try {
            $sql = "SELECT district_id, district_name FROM tabl_districts WHERE status ='active' AND is_deleted = 0";
            $result = $this->dbQuery($sql);

            $districts = [];

            while ($districtData = $this->dbFetchAssoc($result)) {
                $districts[] = [
                    'district_id' => $districtData['district_id'],
                    'district_name' => $districtData['district_name']
                ];
            }

            return $districts;
        } catch (PDOException $e) {
            return "Error retrieving districts: " . $e->getMessage();
        }
    }

    /* GET DISTRICT FROM STATE ID */
    public function getDistrictsByStateFromDB($stateId)
    {
        try {
            $sql = "SELECT district_id, district_name FROM tabl_districts WHERE state_id = :state_id AND status ='active' AND is_deleted = 0";
            $sql .= " ORDER BY district_name"; // Optionally, you can add an ORDER BY clause
            $result = $this->dbQuery($sql, [':state_id' => $stateId]);

            $districts = [];

            while ($districtData = $this->dbFetchAssoc($result)) {
                $districts[] = [
                    'district_id' => $districtData['district_id'],
                    'district_name' => $districtData['district_name']
                ];
            }

            return $districts;
        } catch (PDOException $e) {
            return "Error retrieving districts: " . $e->getMessage();
        }
    }

    /* GET ALL DATA FROM DISTRICT TABLE */
    public function getAllDistrictsFromDB()
    {
        try {
            $sql = "SELECT * FROM tabl_districts WHERE status ='active' AND is_deleted = 0";
            $result = $this->dbQuery($sql);

            $districts = [];

            while ($districtData = $this->dbFetchAssoc($result)) {
                $districts[] = $districtData;
            }

            return $districts;
        } catch (PDOException $e) {
            return "Error retrieving districts: " . $e->getMessage();
        }
    }

}

?>