<?php
class LocationsManager extends dbConnection
{
    public function getAllLocationsFromDB()
    {
        try {
            $sql = "SELECT location_id, location_name FROM tabl_locations WHERE is_deleted = 0";
            $result = $this->dbQuery($sql);

            $locations = [];

            while ($locationData = $this->dbFetchAssoc($result)) {
                $locations[] = [
                    'location_id' => $locationData['location_id'],
                    'location_name' => $locationData['location_name']
                ];
            }

            return $locations;
        } catch (PDOException $e) {
            return "Error retrieving locations: " . $e->getMessage();
        }
    }

    /* GET DISTRICT WISE LOCATIONS */
    public function getLocationsByDistrictFromDB($districtId)
    {
        try {
            $sql = "SELECT location_id, location_name FROM tabl_locations WHERE district_id = :district_id AND status ='active' AND is_deleted = 0";
            $sql .= " ORDER BY location_name"; // Optionally, you can add an ORDER BY clause
            $result = $this->dbQuery($sql, [':district_id' => $districtId]);

            $locations = [];

            while ($locationData = $this->dbFetchAssoc($result)) {
                $locations[] = [
                    'location_id' => $locationData['location_id'],
                    'location_name' => $locationData['location_name']
                ];
            }

            return $locations;
        } catch (PDOException $e) {
            return "Error retrieving locations: " . $e->getMessage();
        }
    }

}

?>