<?php
class statesManager extends dbConnection
{
    public function getStatesFromDB()
    {
        try {
            $sql = "SELECT state_id, state_name FROM tabl_states WHERE status ='active' AND is_deleted = 0";
            $result = $this->dbQuery($sql);

            $states = [];

            while ($stateData = $this->dbFetchAssoc($result)) {
                $states[] = [
                    'state_id' => $stateData['state_id'],
                    'state_name' => $stateData['state_name']
                ];
            }

            return $states;
        } catch (PDOException $e) {
            return "Error retrieving states: " . $e->getMessage();
        }
    }

    /* GET ALL DATA FROM STATE TABLE */
    public function getAllStatesDataFromDB()
    {
        try {
            $sql = "SELECT * FROM tabl_states WHERE is_deleted = 0";
            $result = $this->dbQuery($sql);

            $states = [];

            while ($stateData = $this->dbFetchAssoc($result)) {
                $states[] = $stateData; // No need to specify individual fields, fetch all columns
            }

            return $states;
        } catch (PDOException $e) {
            return "Error retrieving states: " . $e->getMessage();
        }
    }

    /* GET ID WISE STATE */
    public function getStateDataById($stateId)
    {
        try {
            $sql = "SELECT state_id,country_id,state_name,state_code FROM tabl_states WHERE state_id = :stateId AND is_deleted = 0";
            $stmt = $this->dbQuery($sql,[
                ':stateId' => $stateId
            ]);
            
            $stmt->execute();
            $stateData = $stmt->fetch(PDO::FETCH_ASSOC);

            return $stateData;
        } catch (PDOException $e) {
            return "Error retrieving state data: " . $e->getMessage();
        }
    }

}
?>