<?php
@session_start();
include ('./lib/auth.php');
include_once ('./lib/dbManager.php');
include_once ('./lib/locations.php');

date_default_timezone_set("Asia/Kolkata");
$date = date('Y-m-d H:i:s');

$page = 4;
$sub_page = 43;

$dbManager = new DatabaseManage();

?>
<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="./assets/"
  data-template="vertical-menu-template-free"
>
  <head>
  <?php include ("./inc/head.php") ?>
  <style>
    .badge-success{
        color: #fff;
        background-color: #28a745;
        font-weight: bold;
        cursor: pointer;
    }
    .badge-warning{
        background-color: #ffc107;
        color: #000;
        font-weight: bold;
        cursor: pointer;
    }
    .edit-btn{
        font-weight: bold;
        cursor: pointer;
        background: #ffc107;
        color: #000;
        padding: 5px;
        border-radius: 4px;
    }
    .delete-btn{
        font-weight: bold;
        cursor: pointer;
        background: #dc3545;
        color: #ffff;
        padding: 5px;
        border-radius: 4px;

    }
  </style>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

        <?php include ("./inc/sidebar.php") ?>
        
        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

          <?php include ("./inc/header.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Locations /</span> Locations</h4>        
              
              <div class="row">
                <div class="col-md-12">                  
                <!-- Basic Bootstrap Table -->
              <div class="card">
                <h5 class="card-header">State</h5>
                <a class="btn btn-primary me-2 mb-4 text-white mx-3" style="width: 120px" href="./add_location.php">Add New</a>
                <div class="table-responsive text-nowrap">
                  <table class="table" id="locationTable">
                    <thead>
                      <tr>
                        <th>ID</th>
                        <th>State</th>
                        <th>District</th>
                        <th>Location</th>
                        <th>Date</th>
                        <th>Status</th>
                        <th>Edit</th>
                        <th>Delete</th>           
                      
                      </tr>
                    </thead>
                    <tbody class="table-border-bottom-0">
                        <?php

                        $query = ("SELECT l.location_id,l.location_name, s.state_name, d.district_name, l.date_added, l.status
FROM tabl_locations AS l
INNER JOIN tabl_states AS s ON l.state_id = s.state_id
INNER JOIN tabl_districts AS d ON l.district_id = d.district_id WHERE l.is_deleted = 0");


                        $fetchData = $dbManager->fetchDataFromDBObject($query);
                        if (!empty($fetchData)) {
                            $s = 1;
                            foreach ($fetchData as $location) {
                                echo "<tr>";
                                echo "<td>" . $s . "</td>";
                                echo "<td>" . $location->state_name . "</td>";
                                echo "<td>" . $location->district_name . "</td>";
                                echo "<td>" . $location->location_name . "</td>";
                                echo "<td>" . $location->date_added . "</td>";
                                echo "<td>";

                                if ($location->status == 'active') {
                                    echo '<span class="badge badge-success" onclick="change_status(' . $location->location_id . ',\'active\')">Active</span>';
                                } else {
                                    echo '<span class="badge badge-warning" onclick="change_status(' . $location->location_id . ',\'inactive\')">Disabled</span>';
                                }
                                echo "</td>";
                                echo "<td>
                                    <a href='edit_location.php?location_id=" . $location->location_id . "' class='edit-btn'>
                                        <i class='bx bxs-edit'></i>
                                    </a>
                                </td>";
                                echo "<td>
                                    <span class='delete-btn' onclick='delete_location(" . $location->location_id . ")'>
                                        <i class='bx bxs-trash'></i>
                                    </span>
                                </td>";
                                echo "</tr>";

                                $s++;
                            }
                        } else {
                            echo "<tr><td colspan='7'>No data found</td></tr>";
                        }


                        ?>
                    </tbody>
                  </table>
                </div>
              </div>
              <!--/ Basic Bootstrap Table -->


                </div>
              </div>



            </div>
            <!-- / Content -->

            <!-- Footer -->
            
            <?php include ("./inc/footer.php"); ?>

            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    <!-- / Layout wrapper -->


    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="./assets/vendor/libs/jquery/jquery.js"></script>
    <script src="./assets/vendor/libs/popper/popper.js"></script>
    <script src="./assets/vendor/js/bootstrap.js"></script>
    <script src="./assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="./assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="./assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="./assets/js/pages-account-settings-account.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>
    <script src="//cdn.datatables.net/2.0.3/js/dataTables.min.js"></script>

    <script>
        /* CREATE DATA TABLE */

        let table = new DataTable('#locationTable');

        /* Function for update status */
        function change_status(id, status) {
            var retVal = confirm("Are you sure want to change status?");
            if (retVal == true) {
                $.ajax({
                    url: 'ajax/location.php',
                    type: 'post',
                    data: {
                        'id': id,
                        'status': status,
                        'operation': '002'
                    },
                    success: function (data) {
                        let res = JSON.parse(data);
                        if (res.status == 'success') {
                            location.reload();
                        } else {
                            alert(res.message);
                        }
                    },
                });
            } else {
                return false;
            }
        }

        /* FUNCTION FOR DELETE  */
        function delete_location(id) {
            var retVal = confirm("Are you sure want to deleted this location?");
            if (retVal == true) {
                $.ajax({
                    url: 'ajax/location.php',
                    type: 'post',
                    data: {
                        'id': id,
                        'operation': '003'
                    },
                    success: function (data) {
                        let res = JSON.parse(data);
                        if (res.status == 'success') {
                            location.reload();
                        } else {
                            alert(res.message);
                        }
                    },
                });
            } else {
                return false;
            }
        }
    </script>
  </body>
</html>